Index: /TOOLS/MOSAIX/CreateWeightsMask.bash
===================================================================
--- /TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 6665)
+++ /TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 6666)
@@ -3,7 +3,7 @@
 #MSUB -o Out_WeightsMask    # Standard output
 #MSUB -e Out_WeightsMask    # Error output
-#MSUB -n 1                  # Number of processors
-#MSUB -T 7200              # Time limit (seconds)
-#MSUB -Q normal
+#MSUB -n 4                  # Number of processors
+#MSUB -T 1800              # Time limit (seconds)
+#MSUB -Q test
 #MSUB -q rome
 #MSUB -p devcmip6
@@ -21,24 +21,12 @@
 ### ===========================================================================
 ##
-##  MOSAIX is under CeCILL_V2 licence. See "Licence_CeCILL_V2-en.txt"
-##  file for an english version of the licence and
-##  "Licence_CeCILL_V2-fr.txt" for a french version.
-##
-##  Permission is hereby granted, free of charge, to any person or
-##  organization obtaining a copy of the software and accompanying
-##  documentation covered by this license (the "Software") to use,
-##  reproduce, display, distribute, execute, and transmit the
-##  Software, and to prepare derivative works of the Software, and to
-##  permit third-parties to whom the Software is furnished to do so,
-##  all subject to the following:
-##
-##  Warning, to install, configure, run, use any of MOSAIX software or
-##  to read the associated documentation you'll need at least one (1)
-##  brain in a reasonably working order. Lack of this implement will
-##  void any warranties (either express or implied).  Authors assumes
-##  no responsability for errors, omissions, data loss, or any other
-##  consequences caused directly or indirectly by the usage of his
-##  software by incorrectly or partially configured
-##
+##  Warning, to install, configure, run, use any of Olivier Marti's
+##  software or to read the associated documentation you'll need at least
+##  one (1) brain in a reasonably working order. Lack of this implement
+##  will void any warranties (either express or implied).
+##  O. Marti assumes no responsability for errors, omissions,
+##  data loss, or any other consequences caused directly or indirectly by
+##  the usage of his software by incorrectly or partially configured
+##  personal.
 ##
 ## SVN information
@@ -50,5 +38,5 @@
 #
 ## Tested with : 
-# CplModel=eORCA1.2xLMD144142 ; qsub -r ${CplModel} -o Out_${CplModel} -e Out_${CplModel} CreateWeightsMask.bash
+# CplModel=eORCA1.4.2xICO60 ; ccc_msub -r ${CplModel} -o Out_${CplModel} -e Out_${CplModel} CreateWeightsMask.bash
 # CplModel=ORCA2.3xLMD9695
 # CplModel=ORCA2.3xICO30
@@ -59,5 +47,10 @@
 # CplModel=eORCA025.1xLMD144142
 # CplModel=eORCA025.1xLMD256256
-#
+# CplModel=eORCA1.4.2xICO40
+# CplModel=eORCA1.4.2xICO60
+# ccc_msub -r ${CplModel} -o Out_${CplModel} -e Out_${CplModel} CreateWeightsMask.bash
+
+echo 'Test'
+ls -alt /ccc/work/cont003/gencmip6/p86mart/TMP/MOSAIX
 
 set +vx
@@ -82,5 +75,5 @@
 echo ${Titre}"Defines model"${Norm}
 # =================================
-#CplModel=ORCA2.3xLMD9695
+CplModel=ORCA2.3xLMD9695
 #CplModel=ORCA2.3xICO30
 #CplModel=ORCA2.3xICO40
@@ -90,8 +83,8 @@
 #CplModel=eORCA1.2xLMD256256
 #CplModel=eORCA1.2xICO40
+#CplModel=eORCA1.2xICO60
 #CplModel=eORCA1.4.2xICO40
 #CplModel=eORCA1.2xICO450
 #CplModel=eORCA025.1xLMD256256
-CplModel=eORCA1.4.2xICO80
 
 #Version="v0" ; Comment="Fully tested in IPSLCM6 eORCA1.2 x LMD 144x142"
@@ -144,5 +137,5 @@
 # \!/ No spaces in any analysis \!/
 #
-# Specific commands : 'Runoff', 'Calving'
+# Specific commands : 'Runoff', 'Calving', 'Grids'
 #
 # Keywords : 
@@ -194,4 +187,8 @@
 #CommandList=( Grids )
 
+if [[ ${Version} = test_runoff_* ]] ; then
+    CommandList=( Runoff )
+fi
+
 ## ===========================================================================
 ##
@@ -286,5 +283,5 @@
     set +e
     R_IN=$(ccc_home -u igcmg --cccwork)/IGCM
-    TMPDIR=${CCCWORKDIR}/TMP
+    TMPDIR=${CCCWORKDIR}/TMP/MOSAIX
     SUBMIT_DIR=${BRIDGE_MSUB_PWD:-${SUBMIT_DIR}}
     MpiRun="time ccc_mprun"
@@ -292,10 +289,8 @@
     module purge
     source ${SUBMIT_DIR}/arch.env
-    module load nco #/4.9.1
-    module load cdo #/1.9.5
+    module load nco
     module load python3 
     module load datadir/igcmg
     module list
-    cp ${SUBMIT_DIR}/arch.env . ${TMPDIR}
     set -e
     ;;
@@ -311,5 +306,5 @@
 
 set -x ; set -e
-
+ls -alt ${TMPDIR}
 mkdir -p ${TMPDIR}/${CplModel} || exit 1
 cd       ${TMPDIR}/${CplModel} || exit 2
@@ -346,4 +341,5 @@
 cp ${SUBMIT_DIR}/iodef_atm_to_oce.xml   .
 cp ${SUBMIT_DIR}/iodef_oce_to_atm.xml   .
+cp ${SUBMIT_DIR}/arch.env               .
 
 [[ -f ${R_IN}/OCE/NEMO/${OCE}/${OCE}_coordinates_mask.nc       ]] && cp ${R_IN}/OCE/NEMO/${OCE}/${OCE}_coordinates_mask.nc        .
@@ -604,5 +600,4 @@
 	    --attribute Ocean,global,o,c,"${OCE} https://www.nemo-ocean.eu"       \
 	    --attribute Atmosphere,global,o,c,"${ATM} http://lmdz.lmd.jussieu.fr" \
-	    --attribute production,global,o,c,"$(finger ${LOGNAME} | head -1 | awk '{print $4}')" \
 	    --attribute originalFiles,global,o,c,"${OCE}_coordinates_mask.nc ${ATM}_grid_mask.nc"      \
 	    --attribute associatedFiles,global,o,c,"grids_${CplModel}.nc areas_${CplModel}.nc masks_${CplModel}.nc" \
@@ -822,5 +817,5 @@
 	      --o2a=${ATM}_grid_maskFrom_${OCE}.nc --output=rmp_t${atm}_to_t${oce}_runoff_${runOff_atmQuantity}_to_${runOff_oceQuantity}.nc \
               --fmt=${FMT_XIOS} \
-	      --atmQuantity=${runOff_atmQuantity} --oceQuantity=${runOff_oceQuantity} --ocePerio=${OcePerio}
+	      --atmQuantity=${runOff_atmQuantity} --oceQuantity=${runOff_oceQuantity} --ocePerio=${OcePerio} --modelName="${ModelName}"
 fi
 
@@ -835,13 +830,13 @@
 		 --oce=${OCE} --atm=${ATM} --type=nosouth   \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	${PyRun} python3 -u CalvingWeights.py --output=rmp_t${atm}_to_t${oce}_calving_iceberg.nc  --fmt=${FMT_XIOS} \
 		 --oce=${OCE} --atm=${ATM} --type=iceberg  --repartition_file=eORCA_R025_runoff_v1.2.nc --repartition_var=Icb_flux \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	${PyRun} python3 -u CalvingWeights.py --output=rmp_t${atm}_to_t${oce}_calving_iceshelf.nc --fmt=${FMT_XIOS} \
 		 --oce=${OCE} --atm=${ATM} --type=iceshelf --repartition_file=eORCA_R025_runoff_v1.2.nc --repartition_var=sornfisf \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	;;
 	
@@ -858,13 +853,13 @@
 		 --oce=${OCE} --atm=${ATM} --type=nosouth   \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	${PyRun} python3 -u CalvingWeights.py --output=rmp_t${atm}_to_t${oce}_calving_iceberg.nc  --fmt=${FMT_XIOS} \
 		 --oce=${OCE} --atm=${ATM} --type=iceberg --repartition_file=runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc --repartition_var=Icb_flux \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	${PyRun} python3 -u CalvingWeights.py --output=rmp_t${atm}_to_t${oce}_calving_iceshelf.nc --fmt=${FMT_XIOS} \
 		 --oce=${OCE} --atm=${ATM} --type=iceshelf --repartition_file=runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc --repartition_var=sornfisf \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	;;
 	
@@ -873,5 +868,5 @@
 		 --oce=${OCE} --atm=${ATM} --type=full --ocePerio=${OcePerio} \
 		 --grids=grids_${CplModel}.nc --areas=areas_${CplModel}.nc --masks=masks_${CplModel}.nc \
-	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc
+	         --o2a=${ATM}_grid_maskFrom_${OCE}.nc --modelName="${ModelName}"
 	;;
     esac
@@ -957,12 +952,14 @@
 Python version   : ${PYTHON_VER}
 
-EOF
-
-echo 'SVN Information : '                                              >> README.txt
-echo '$Author$ '                                              >> README.txt
-echo '$Date$ '          >> README.txt
-echo '$Revision$ '                                              >> README.txt
-echo '$Id$ ' >> README.txt
-echo '$HeadURL$ ' >> README.txt
+SVN Information :
+$Author$
+$Date$
+$Revision$
+$Id$
+$HeadURL$
+
+EOF
+
+
 
 echo ${Titre}"Compute checksums and add them to README"${Norm}
@@ -996,3 +993,2 @@
 ##
 ## ===========================================================================
-
